Package org.bukkit.event.world

# Class ChunkUnloadEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.world.ChunkEvent
org.bukkit.event.world.ChunkUnloadEvent

public class ChunkUnloadEvent extends ChunkEvent
Called when a chunk is unloaded

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.world.ChunkEvent

`chunk`

## Constructor Summary

Constructors
Constructor
Description
`ChunkUnloadEvent(@NotNull Chunk chunk)`
`ChunkUnloadEvent(@NotNull Chunk chunk, boolean save)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isSaveChunk()`
Return whether this chunk will be saved to disk.
`void`
`setSaveChunk(boolean saveChunk)`
Set whether this chunk will be saved to disk.

### Methods inherited from class org.bukkit.event.world.ChunkEvent

`getChunk`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChunkUnloadEvent

public ChunkUnloadEvent(@NotNull @NotNull Chunk chunk)

### ChunkUnloadEvent

public ChunkUnloadEvent(@NotNull @NotNull Chunk chunk, boolean save)

## Method Details

### isSaveChunk

public boolean isSaveChunk()
Return whether this chunk will be saved to disk.

Returns:
  chunk save status

### setSaveChunk

public void setSaveChunk(boolean saveChunk)
Set whether this chunk will be saved to disk.

Parameters:
  `saveChunk` - chunk save status

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()